<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_rms_event_histories', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedInteger('rms_event_id')->nullable()->index('rms_event_histories_rms_event_id_foreign');
            $table->unsignedInteger('user_id')->nullable()->index('rms_event_histories_user_id_foreign');
            $table->boolean('status');
            $table->string('path_file')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_rms_event_histories');
    }
};
